import { IntegrationManagerInstance } from "./IntegrationManagerInstance";
export declare class IntegrationManagers {
    private static instance?;
    private managers;
    private client?;
    private primaryManager;
    static sharedInstance(): IntegrationManagers;
    constructor();
    startWatching(): void;
    stopWatching(): void;
    private compileManagers;
    private setupConfiguredManager;
    private setupHomeserverManagers;
    private setupAccountManagers;
    private onAccountData;
    hasManager(): boolean;
    getOrderedManagers(): IntegrationManagerInstance[];
    getPrimaryManager(): IntegrationManagerInstance | null;
    openNoManagerDialog(): void;
    showDisabledDialog(): void;
}
